RDKit::MolBundle Class Reference

`#include <MolBundle.h>`

Inheritance diagram for RDKit::MolBundle:

## Public Member Functions

| MolBundle ()
| MolBundle (const MolBundle &other)
| copy constructor More...
virtual | ~MolBundle ()
virtual const std::vector< boost::shared_ptr< ROMol > > & | getMols () const
| returns our molecules More...
virtual size_t | addMol (boost::shared_ptr< ROMol > nmol)
virtual size_t | size () const
| returns the number of molecules from the bundle More...
virtual const boost::shared_ptr< ROMol > | getMol (size_t idx) const
| returns a particular molecule in the bundle More...
virtual const boost::shared_ptr< ROMol > | operator[] (size_t idx) const
| returns a particular molecule from the bundle More...
Public Member Functions inherited from RDKit::RDProps
| RDProps ()
| RDProps (const RDProps &rhs)
RDProps & | operator= (const RDProps &rhs)
void | clear ()
const Dict & | getDict () const
| gets the underlying Dictionary More...
Dict & | getDict ()
STR_VECT | getPropList (bool includePrivate=true, bool includeComputed=true) const
| returns a list with the names of our `properties` More...
template<typename T >
void | setProp (const std::string &key, T val, bool computed=false) const
| sets a `property` value More...
template<typename T >
void | getProp (const std::string &key, T &res) const
| allows retrieval of a particular property value More...
template<typename T >
T | getProp (const std::string &key) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename T >
bool | getPropIfPresent (const std::string &key, T &res) const
bool | hasProp (const std::string &key) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | clearProp (const std::string &key) const
| clears the value of a `property` More...
void | clearComputedProps () const
| clears all of our `computed` `properties` More...
void | updateProps (const RDProps &source, bool preserveExisting=false)
| update the properties from another More...

## Additional Inherited Members

Protected Attributes inherited from RDKit::RDProps
Dict | d_props

## Detailed Description

MolBundle contains (conceptually) a collection of ROMols with the same topology

This is designed to allow handling things like enhanced stereochemistry, but can no doubt be (ab)used in other ways.

Definition at line 40 of file MolBundle.h.

## Constructor & Destructor Documentation

## MolBundle() [1/2]

RDKit::MolBundle::MolBundle | ( |  | ) |

inline

Definition at line 42 of file MolBundle.h.

## MolBundle() [2/2]

RDKit::MolBundle::MolBundle | ( | const MolBundle & | other | ) |

inline

copy constructor

Definition at line 45 of file MolBundle.h.

## ~MolBundle()

virtual RDKit::MolBundle::~MolBundle | ( |  | ) |

inline virtual

Definition at line 48 of file MolBundle.h.

## Member Function Documentation

## addMol()

virtual size_t RDKit::MolBundle::addMol | ( | boost::shared_ptr< ROMol > | nmol | ) |

inline virtual

adds a new molecule and returns the total number of molecules enforces that the new molecule has the same number of atoms and bonds as the molecules that are already there.

Definition at line 58 of file MolBundle.h.

References PRECONDITION.

## getMol()

virtual const boost::shared_ptr<ROMol> RDKit::MolBundle::getMol | ( | size_t | idx | ) | const

inline virtual

returns a particular molecule in the bundle

Definition at line 75 of file MolBundle.h.

Referenced by operator[]().

## getMols()

virtual const std::vector<boost::shared_ptr<ROMol> >& RDKit::MolBundle::getMols | ( |  | ) | const

inline virtual

returns our molecules

Definition at line 51 of file MolBundle.h.

## operator[]()

virtual const boost::shared_ptr<ROMol> RDKit::MolBundle::operator[] | ( | size_t | idx | ) | const

inline virtual

returns a particular molecule from the bundle

Definition at line 80 of file MolBundle.h.

References getMol().

## size()

virtual size_t RDKit::MolBundle::size | ( |  | ) | const

inline virtual

returns the number of molecules from the bundle

Definition at line 73 of file MolBundle.h.

The documentation for this class was generated from the following file:

- MolBundle.h